Package org.fife.ui.rsyntaxtextarea.folding

## Class NsisFoldParser

- java.lang.Object
- - org.fife.ui.rsyntaxtextarea.folding.NsisFoldParser

- All Implemented Interfaces:
    `FoldParser`

      public class NsisFoldParser
      extends Object
      implements FoldParser

  A fold parser NSIS.

  Note that this class may impose somewhat of a performance penalty on large source files, since it re-parses the entire document each time folds are reevaluated.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static char[]` | `C_MLC_END` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NsisFoldParser()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<Fold>` | `getFolds​(RSyntaxTextArea textArea)` | Returns a list of all folds in the text area.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### C_MLC_END

          protected static final char[] C_MLC_END

  - ### Constructor Detail

    - #### NsisFoldParser

          public NsisFoldParser()

  - ### Method Detail

    - #### getFolds

          public List<Fold> getFolds​(RSyntaxTextArea textArea)

      Returns a list of all folds in the text area.
      Specified by:
        `getFolds` in interface `FoldParser`
      Parameters:
        `textArea` - The text area whose contents should be analyzed.
      Returns:
        The list of folds. If this method returns `null`, it is treated as if no folds were found.